Subject: [Speechsc] Clarification regarding Max-time header

From: Manjunatha <[email-masked]>
Date: Fri, 01 Sep 2006 10:56:02 +0530

Hi, 

   Please provide some clarification about Max-time header 

10.4.9. Max Time

   When recording is started this specifies the maximum length of the

   recording in milliseconds, calculated from the time the actual

   capture and store begins and is not necessarily the time the RECORD

   method is received.  It specifies the duration before silence

   suppression, if any, has been applied by the recorder resource.

   After this time, the recording stops and the server MUST return a

   RECORD-COMPLETE event to the client having a request-state of

   "COMPLETE".  This header MAY occur in RECORD, "SET-PARAMS" or

   "GET-PARAMS".  The value for this header ranges from 0 to an

   implementation specific maximum value.  A value of zero means

   infinity and hence the recording continues until one or more of the

   other stop conditions are met.  The default value for this header is

   0.

    Here why a value of zero means infinity.....

    It is confusing.in a normal understanding there will be no recoding if
the value is ZERO

    .pls give some clarification

Regards

Manju

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc